#
# spec file for package python-mwlib.docbook
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define mod_name mwlib.docbook

Name:           python-mwlib.docbook
Version:        0.1.0
Release:        1.28
Summary:        Docbook writer for mwlib
Group:          Development/Languages/Python
License:        BSD-2-Clause
Url:            http://pypi.python.org/pypi/mwlib.docbook
Source0:        http://pypi.python.org/packages/source/m/%{mod_name}/%{mod_name}-%{version}.zip
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Docbook writer for mwlib. More on: https://pypi.python.org/pypi/mwlib.docbook

%prep
%setup -n %{mod_name}-%{version}


%build
python setup.py build


%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# fix for rpmlint
chmod +x %{buildroot}%{python_sitelib}/mwlib/docbookwriter.py
%fdupes -s %{buildroot}%{python_sitelib}
 
%files
%defattr(-,root,root)
%{python_sitelib}

%changelog
* Wed Nov  6 2013 Sascha Manns <saigkill@opensuse.org>
- fixed Url tag
- fixed Group to Development/Languages/Python
- used the real url
* Tue Nov  5 2013 Sascha Manns <saigkill@opensuse.org>
- initial release (version 0.1.0)
